Subject: Re: Rename offensive terminology (master)

From: N6Ghost <[email-masked]>
Date: Mon, 4 May 2020 16:10:34 -0700

On Mon, May 04, 2020 at 01:43:15PM -0400, Robert P. J. Day wrote:
> On Mon, 4 May 2020, Simon Pieters wrote:
> 
> > "master" is an offensive term, as it can be interpreted as being
> > slavery-origin terminology. See
> > https://en.wikipedia.org/wiki/Master/slave_(technology)#Terminology_concerns
> >
> > The Python programming language, and various other projects, have
> > taken a stance and moved away from offensive terminology including
> > "master". See https://bugs.python.org/issue34605
> >
> > When different projects using git decide to move away from "master"
> > as the name of their main branch, inconsistency ensues between
> > projects. See https://github.com/desktop/desktop/issues/6478 (and
> > "Related Issues and Projects").
> >
> > To avoid offensive terminology and to avoid further inconsistency, I
> > think git should use a different branch name than "master" when
> > initiating a repo. I don't have a strong opinion, but I like "main"
> > since it shares the first two characters and it's shorter.
> 
>   please, no ... this is just massive and unnecessary churn, and it
> opens up a ridiculous can of worms. if you change this, then of course
> you will have to reword everything related to data buses that are
> defined to work on a "master-slave" basis. and would you have to stop
> describing your competence in a particular field as having attained a
> "mastery" of the subject matter?
> 
>   this is just a bad idea.
> 
> rday

I would agree, this would be a huge can of worms. and is not really needed. 
the word "master" is embedded in our lexicon in many places. calling out
one historical use, and then saying becuase of that use all the other
uses can no longer use that word in our lexicon. is just a bad idea.

thats not how language should work.

-N6Ghost